commit: acb29b6581937571b4b6a4b3e9e37d4ea7078222
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed Sep 1 00:04:10 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Wed Sep 1 00:05:55 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=acb29b65
dev-util/babeltrace2: initial import
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-util/babeltrace2/Manifest | 1 +
dev-util/babeltrace2/babeltrace2-2.0.4.ebuild | 87 +++++++++++++++++++++++++++
dev-util/babeltrace2/metadata.xml | 17 ++++++
3 files changed, 105 insertions(+)
diff --git a/dev-util/babeltrace2/Manifest b/dev-util/babeltrace2/Manifest
new file mode 100644
index 000000000..4f386cc15
--- /dev/null
+++ b/dev-util/babeltrace2/Manifest
@@ -0,0 +1 @@
+DIST babeltrace2-2.0.4.tar.bz2 3300594 BLAKE2B
f20f752c066ed20a0f477c7b42719053a91d87c8d5fc9d52c641e1f13de105da1319774b3a3abbc9e11ae66a5025d079c072679b4697d62ea6946a1828ad78cf
SHA512
56c827497cf241b183ba03a1d960143894901f5f49836a9494126a1a6e5007202fd57277784f64ba3ab15af7e532cfecc32917ebb7736fecca53033f000b0155
diff --git a/dev-util/babeltrace2/babeltrace2-2.0.4.ebuild
b/dev-util/babeltrace2/babeltrace2-2.0.4.ebuild
new file mode 100644
index 000000000..84b96172a
--- /dev/null
+++ b/dev-util/babeltrace2/babeltrace2-2.0.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# pypy3: obtaining PYTHON_CONFIG not supported
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools python-single-r1
+
+DESCRIPTION="A command-line tool and library to read and convert trace files"
+HOMEPAGE="https://babeltrace.org"
+SRC_URI="https://www.efficios.com/files/babeltrace/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug doc man python test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/elfutils
+
+ python? (
+ ${PYTHON_DEPS}
+ virtual/libcrypt
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-devel/bison
+ sys-devel/flex
+ doc? (
+ app-doc/doxygen
+ python? ( dev-python/sphinx )
+ )
+ man? (
+ app-text/asciidoc
+ app-text/xmlto
+ )
+ python? ( dev-lang/swig )
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use debug && export BABELTRACE_DEBUG_MODE=1
+
+ local myconf=(
+ --disable-built-in-plugins
+ --disable-built-in-python-plugin-support
+ --disable-compile-warnings
+ --disable-static
+ --enable-debug-info
+ --enable-shared
+
+ $(use_enable doc api-doc)
+ $(use_enable man man-pages)
+ $(use_enable python python-bindings)
+ $(use_enable python python-plugins)
+ $(use_enable test glibtest)
+ )
+
+ if use python; then
+ export PYTHON_CONFIG="$(python_get_PYTHON_CONFIG)"
+ myconf+=( "--with-python_prefix=$(python_get_sitedir)" )
+ use doc && myconf+=( "--enable-python-bindings-doc" )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ use doc && docompress -x "${ED}/usr/doc/${PF}/api"
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/dev-util/babeltrace2/metadata.xml
b/dev-util/babeltrace2/metadata.xml
new file mode 100644
index 000000000..79767e000
--- /dev/null
+++ b/dev-util/babeltrace2/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <longdescription lang="en">
+Babeltrace /ˈbæbəltreɪs/, an EfficiOS project, is an open-source trace
manipulation toolkit.
+The Babeltrace 2 project offers a library with a C API, Python 3 bindings, and
a command-line tool which makes it very easy for mere mortals to view, convert,
transform, and analyze traces.
+Babeltrace 2 is also the reference parser implementation of the Common Trace
Format (CTF), a very versatile trace format followed by various tracers and
tools such as LTTng and barectf. The Babeltrace 2 library and its Python
bindings can read and write CTF traces.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://bugs.lttng.org/projects/babeltrace</bugs-to>
+ <remote-id type="github">efficios/babeltrace</remote-id>
+ </upstream>
+</pkgmetadata>